japa.parser.ast.expr

## Class LongLiteralExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.LiteralExpr
      - - japa.parser.ast.expr.StringLiteralExpr
        - - japa.parser.ast.expr.LongLiteralExpr

Direct Known Subclasses:
  LongLiteralMinValueExpr

    public class LongLiteralExpr
    extends StringLiteralExpr

Author:
  Julio Vilmar Gesser

### Field Summary

Fields
`protected static String` `MIN_VALUE`

### Fields inherited from class japa.parser.ast.expr.StringLiteralExpr

`value`

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`LongLiteralExpr()`
`LongLiteralExpr(int beginLine, int beginColumn, int endLine, int endColumn, String value)`
`LongLiteralExpr(String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`boolean` `isMinValue()`

### Methods inherited from class japa.parser.ast.expr.StringLiteralExpr

`getValue, setValue`

### Methods inherited from class japa.parser.ast.Node

`addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MIN_VALUE

    protected static final String MIN_VALUE

See Also:
  Constant Field Values

### Constructor Detail

#### LongLiteralExpr

    public LongLiteralExpr()

#### LongLiteralExpr

    public LongLiteralExpr(String value)

#### LongLiteralExpr

    public LongLiteralExpr(int beginLine,
                           int beginColumn,
                           int endLine,
                           int endColumn,
                           String value)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                          A arg)

Description copied from class: `Node`
Accept method for visitor support.

Overrides:
  `accept` in class `StringLiteralExpr`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed to the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - the argument passed to the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                           A arg)

Description copied from class: `Node`
Accept method for visitor support.

Overrides:
  `accept` in class `StringLiteralExpr`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### isMinValue

    public final boolean isMinValue()